Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package async
  Definition Classes
    transform
-  package patmat
  Definition Classes
    transform
- AccessorSynthesis
- CleanUp
- Constructors
- Delambdafy
- Erasure
- ExplicitOuter
- ExtensionMethods
- Fields
- Flatten
- InfoTransform
- LambdaLift
- Mixin
- OverridingPairs
- PostErasure
- SampleTransform
- SpecializeTypes
- Statics
- TailCalls
- Transform
- TypeAdaptingTransformer
- TypingTransformers
- UnCurry

c

scala.tools.nsc.transform

# Constructors

###

#### abstract class Constructors extends Statics with Transform with TypingTransformers with TreeDSL

This phase converts classes with parameters into Java-like classes with fields, which are assigned to from constructors.

Source
  Constructors.scala

Linear Supertypes
TypingTransformers, Statics, TreeDSL, Transform, SubComponent, AnyRef, Any
Known Subclasses
constructors
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Constructors
2. TypingTransformers
3. Statics
4. TreeDSL
5. Transform
6. SubComponent
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Constructors()

### Type Members

1.  abstract class StdPhase extends GlobalPhase

   A standard phase template

   A standard phase template

   Definition Classes
     SubComponent
2.  class ConstructorTransformer extends TypingTransformer
3.  trait ConstructorTransformerBase extends AnyRef
4.  trait StaticsTransformer extends Global.AstTransformer
   Definition Classes
     Statics
5.  class Phase extends StdPhase

   The phase defined by this transform

   The phase defined by this transform

   Definition Classes
     Transform
6.  abstract class ThicketTransformer extends TypingTransformer

   A base class for typing transformers that need to perform "thicket expansion".

   A base class for typing transformers that need to perform "thicket expansion". A thicket is the output of a transformation that is flattened into the enclosing block.

   Definition Classes
     TypingTransformers
7.  abstract class TypingTransformer extends Global.AstTransformer
   Definition Classes
     TypingTransformers

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     TypingTransformers
2.  abstract val runsAfter: List[String]

   Names of phases that must run before this phase.

   Names of phases that must run before this phase.

   Definition Classes
     SubComponent
3.  abstract val runsRightAfter: Option[String]

   Name of the phase that this phase must follow immediately.

   Name of the phase that this phase must follow immediately.

   Definition Classes
     SubComponent

### Concrete Value Members

1.  object CODE
   Definition Classes
     TreeDSL
2.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
3.  final def ##: Int
   Definition Classes
     AnyRef → Any
4.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Constructors toany2stringadd[Constructors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
5.  def ->[B](y: B): (Constructors, B)
   Implicit
     This member is added by an implicit conversion from Constructors toArrowAssoc[Constructors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
6.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
7.  final def afterOwnPhase[T](op: => T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  final def beforeOwnPhase[T](op: => T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def enabled: Boolean

    Is this component enabled? Default is true.

    Is this component enabled? Default is true.

    Definition Classes
      SubComponent
12.  def ensuring(cond: (Constructors) => Boolean, msg: => Any): Constructors
    Implicit
      This member is added by an implicit conversion from Constructors toEnsuring[Constructors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Constructors) => Boolean): Constructors
    Implicit
      This member is added by an implicit conversion from Constructors toEnsuring[Constructors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): Constructors
    Implicit
      This member is added by an implicit conversion from Constructors toEnsuring[Constructors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Constructors
    Implicit
      This member is added by an implicit conversion from Constructors toEnsuring[Constructors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Constructors toStringFormat[Constructors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int

    SubComponents are added to a HashSet and two phases are the same if they have the same name.

    SubComponents are added to a HashSet and two phases are the same if they have the same name.

    Definition Classes
      SubComponent → AnyRef → Any
22.  val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

    Definition Classes
      SubComponent
23.  val internal: Boolean

    True if this phase is not provided by a plug-in.

    True if this phase is not provided by a plug-in.

    Definition Classes
      SubComponent
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def newPhase(prev: nsc.Phase): StdPhase

    Create a new phase which applies transformer

    Create a new phase which applies transformer

    Definition Classes
      Transform → SubComponent
27.  def newRootLocalTyper(unit: Global.CompilationUnit): (analyzer)#Typer
    Attributes
      protected
    Definition Classes
      TypingTransformers
28.  def newTransformer(unit: Global.CompilationUnit): Global.AstTransformer

    The transformer factory

    The transformer factory

    Attributes
      protected
    Definition Classes
      Constructors → Transform
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def ownPhase: nsc.Phase

    The phase corresponding to this subcomponent in the current compiler run.

    The phase corresponding to this subcomponent in the current compiler run.

    Definition Classes
      SubComponent
32.  val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      Constructors → SubComponent
33.  def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent
34.  def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent
35.  val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

    Definition Classes
      SubComponent
36.  val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

    Definition Classes
      SubComponent
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

    Definition Classes
      SubComponent
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Constructors, B)
   Implicit
     This member is added by an implicit conversion from Constructors toArrowAssoc[Constructors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from TypingTransformers

### Inherited from Statics

### Inherited from TreeDSL

### Inherited from Transform

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromConstructors to any2stringadd[Constructors]

### Inherited by implicit conversion StringFormat fromConstructors to StringFormat[Constructors]

### Inherited by implicit conversion Ensuring fromConstructors to Ensuring[Constructors]

### Inherited by implicit conversion ArrowAssoc fromConstructors to ArrowAssoc[Constructors]

### Ungrouped